<?php
/*
 * Copyright (C) 2009-2012 Oliver Seufer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * Turning on or off the debug messages
 * Debuglevels:
 *
 * 00000000   (0) OFF
 * 00000001   (1) returns state of functions and general information
 * 00000010   (2) returns values of variables
 * 00000011   (3) returns state of functions and values of variables ( = 1 + 2 )
 * 00000100   (4) returns usernames
 * 00001000   (8) reserved ...
 * 00010000  (16) xhtml check
 * 00100000  (32) Only visible in xhtml source code
 * 01000000  (64) shows passwords
 * 10000000 (128) special debug messages which break xhtml conventions or
 *		  layout
 * 11111111 (255) shows everything
 * You are free to combine the levels
 *
 * If you want to change the debug level for specific functions only you can
 * define $DEBUG as array and list them:
 * e.g. $DEBUG = array('default' => 0, 'db_connect' => 2);
 *
 * If $DEBUG is not an array the debug level specified will be used for all
 * functions:
 * e.g. $DEBUG = 2;
 *
 */
$DEBUG = 0;

/*
 * Project name ...
 */
$project_name = 'Dastralyse';

/*
 * Project configuration file
 */
$cfgfile = ('../conf/config.xml');

/*
 * Where to store pmacct configuration file
 */
$pmacctd_cfgfile = ('../conf/pmacctd.conf');

/*
 * Where to store sfacct configuration file
 */
$sfacctd_cfgfile = ('../conf/sfacctd.conf');

/*
 * footer
 */
$footer = 'Copyright (C) 2009-2012 Oliver Seufer';

/*
 * Top-Menu Items
 *
 * Only alnum characters are allowed
 *
 * Create a lowercase file in the include directory with the anding
 * .inc.php (e.g. include/setup.inc.php) and add the name to
 * the $topmenu array.
 * 
 * The first entry is the default page
 *
 */

$topmenu = array('Main', 'Setup', 'Help');

/*
 * Left-Menu Items
 *
 * Only alnum characters are allowed
 *
 * Every Top-Menu needs at least one submenu item. The first entry is the
 * default value displayed for the Top-Menu item. The others are new
 * submenu pages and will be includes as followed:
 *
 * Top-Menu Item + / + Sub-Menu Item + .inc.php
 * (e.g. include/main/subnav2.inc.php)
 *
 */

$submenu = array('Main' => array('Start', 'Realtime', 'History', 'Database',
				 'Top Traffic'),
		 'Setup' => array('General', 'Database', 'MAC list',
				  'Network list', 'Host list', 'Port list',
				  'Setup check'),
		 'Ajax' => array('Sajax', 'Sajax2', 'Quickstart'),
		 'Help' => array('Help'));

/*
 * With $show you can define which table columns should be shown by default
 *
 */
$show = array('ip_src', 'ip_dst', 'src_port', 'port_src', 'dst_port',
	      'port_dst', 'ip_proto', 'packets', 'bytes');

?>
