<?php

// We need the domchild function so include our functions
include_once('../../../functions/functions.inc.php');

// Send correct file type
header('Content-Type: image/svg+xml');

// Set session name to id
session_name('id');

// Start php session
session_start();

// create an instance of the DOMImplementation class
$imp = new DOMImplementation();

// create a DOMDocumentType instance
$dtd = $imp->createDocumentType('svg', '-//W3C//DTD SVG 1.0//EN',
		'http://www.w3.org/TR/2001/REC-SVG-20010904/DTD/svg10.dtd');

// create a DOMDocument instance
$dom[0] = $imp->createDocument('', '', $dtd);

// set other properties
$dom[0]->encoding = 'UTF-8';
$dom[0]->version = '1.0';
$dom[0]->formatOutput = true;

// svg root element
domchild(0, 'svg', array('xmlns' => 'http://www.w3.org/2000/svg',
			 'xmlns:xlink' => 'http://www.w3.org/1999/xlink',
			 'onload' => 'init(evt)',
			 'width' => '100%', 'height' => '100%'), '');

// include our own java script file
domchild(1, 'script', array('type' => 'text/ecmascript',
			    'xlink:href' => '../../js/global.js'), '');

// include sajax framework
domchild(1, 'script', array('type' => 'text/ecmascript',
			    'xlink:href' => '../../js/sajax.php?id=' .
					     session_id()), '');

// include svg javascript
domchild(1, 'script', array('type' => 'text/ecmascript',
			    'xlink:href' => 'realtime-svg2.js'),
	 '');

echo $dom[0]->saveXML();

?>
