<?php
/*
 * Copyright (C) 2009-2012 Oliver Seufer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

	if (isset($_POST['dbname']) && $_POST['dbname']) {
		if (getDatabaseName() != $_POST['dbname']) {
			debug_msg(1, 'dbname changed to: ' . $_POST['dbname']);
			setDatabaseName($_POST['dbname']);
			$cfg_changed = 1;
		}
	}

	if (isset($_POST['username']) && $_POST['username']) {
		if (getDatabaseUser() != $_POST['username']) {
			debug_msg(1, 'username changed to: ' .
				  $_POST['username']);
			setDatabaseUser($_POST['username']);
			$cfg_changed = 1;
		}
	}

	if (isset($_POST['password']) && $_POST['password']) {
		if (getDatabasePassword() != $_POST['password']) {
			debug_msg(1, 'password changed to: ' .
				  $_POST['password']);
			setDatabasePassword($_POST['password']);
			$cfg_changed = 1;
		}
	}

	if (isset($_POST['dbhost']) && $_POST['dbhost']) {
		if (getDatabaseHost() != $_POST['dbhost']) {
			debug_msg(1, 'dbhost changed to: ' . $_POST['dbhost']);
			setDatabaseHost($_POST['dbhost']);
			$cfg_changed = 1;
		}
	}

	if (isset($_POST['dbport']) && $_POST['dbport']) {
		if (getDatabasePort() != $_POST['dbport']) {
			debug_msg(1, 'dbport changed to: ' . $_POST['dbport']);
			setDatabasePort($_POST['dbport']);
			$cfg_changed = 1;
		}
	}

	if (isset($_POST['dbtype']) && $_POST['dbtype']) {
		if (getDatabaseType() != $_POST['dbtype']) {
			debug_msg(1, 'dbname changed to: ' . $_POST['dbtype']);
			setDatabaseType($_POST['dbtype']);
			// Fix DB Port when switching from one database type
			// to another
			if (getDatabaseType() == 'mysql') {
				setDatabasePort('3306');
			} else if (getDatabaseType() == 'pgsql') {
				setDatabasePort('5432');
			}
			$cfg_changed = 1;
		}
	}

	if (isset($cfg_changed) && $cfg_changed == 1) {
		if (writeconfig()) {
			domchild(3, 'h2', '', 'Changes saved');
		} else {
			error_msg('Cannot save changes');
		}
	} else {
		domchild(3, 'h2', '', 'Nothing changed');
	}

}

domchild(3, 'form', array('action' => getSelf(), 'method' => 'post'), '');

domchild(4, 'table', array('border' => '0'), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Database type:');

domchild(6, 'td', '', '');

domchild(7, 'select', array('name' => 'dbtype'), '');

debug_msg(1, getDatabaseType());
if (getDatabaseType() == 'mysql') {
	domchild(8, 'option', array('selected' => 'selected'), 'mysql');
} else {
	domchild(8, 'option', '', 'mysql');
}

if (getDatabaseType() == 'pgsql') {
	domchild(8, 'option', array('selected' => 'selected'), 'pgsql');
} else {
	domchild(8, 'option', '', 'pgsql');
}

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Database name:');

domchild(6, 'td', '', '');

domchild(7, 'input', array('type' => 'text', 'name' => 'dbname',
	 'value' => _stripslashes(getDatabaseName())), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Database username:');

domchild(6, 'td', '', '');

domchild(7, 'input', array('type' => 'text', 'name' => 'username',
	 'value' => _stripslashes(getDatabaseUser())), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Database password:');

domchild(6, 'td', '', '');

domchild(7, 'input', array('type' => 'password', 'name' => 'password',
	 'value' => _stripslashes(getDatabasePassword())), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Database host:');

domchild(6, 'td', '', '');

domchild(7, 'input', array('type' => 'text', 'name' => 'dbhost',
	 'value' => _stripslashes(getDatabaseHost())), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Database port:');

domchild(6, 'td', '', '');

domchild(7, 'input', array('type' => 'text', 'name' => 'dbport',
	 'value' => _stripslashes(getDatabasePort())), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', array('colspan' => '2', 'align' => 'center'), '');

domchild(7, 'input', array('type' => 'submit', 'value' => 'Submit'), '');

?>
