<?php
/*
 * Copyright (C) 2009-2012 Oliver Seufer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

$post_counter = 1;
$hosts = getHosts();
$values = array();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

	if (array_key_exists('host', $_POST) &&
			array_key_exists('name', $_POST)) {
		$post_counter = sizeof($_POST['host']);
		$hosts = array('host' => $_POST['host'],
			       'name' => $_POST['name']);
		setHosts(array_key_swap($hosts));
		$cfg_changed = 1;
	}

	// only save configuration when config has changed AND the Add button
	// is not pressed
	if (array_key_exists('addrow', $_POST)) {
		// only increase when last element of $_POST['host'] is set
		if (isset($_POST['host']) &&
			$_POST['host'][sizeof($_POST['host'])-1]) {
			$post_counter++;
		}
	} else if (isset($_POST['delrow'])) {
		$delrow = key($_POST['delrow']);
		debug_msg(2, 'Removed row ' . $delrow);
		unset($_POST['host'][$delrow]);
		unset($_POST['name'][$delrow]);
		//unset($hosts[$delrow]);
	} else {
		if (isset($cfg_changed) && $cfg_changed == 1) {
			if (writeconfig()) {
				domchild(3, 'h2', '', 'Changes saved');
				// reread values from config file
				$hosts = getHosts();
			} else {
				error_msg('Cannot save changes');
			}
		} else {
			domchild(3, 'h2', '', 'Nothing changed');
		}
	}

} else {
	$values = $hosts;
}

$host_counter = sizeof($values);
debug_msg(2, 'host_counter=' . $host_counter);

if ($host_counter > $post_counter) {
	$counter = $host_counter;
} else {
	$counter = $post_counter;
}

for ($i=0; $i<$counter; $i++) {

	if (array_key_exists('host', $_POST)) {
		if (array_key_exists($i, $_POST['host'])) {
			$values[$i]['host'] = $_POST['host'][$i];
		} else {
			if (isset($_POST['addrow'])) {
				$values[$i]['host'] = '';
			}
		}
	}

	if (array_key_exists('name', $_POST)) {
		if (array_key_exists($i, $_POST['name'])) {
			$values[$i]['name'] = $_POST['name'][$i];
		} else {
			if (isset($_POST['addrow'])) {
				$values[$i]['name'] = '';
			}
		}
	}

}

form1(3, array('Host', 'Name'), $values);

?>
