<?php
/*
 * Copyright (C) 2009-2012 Oliver Seufer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

$post_counter = 1;
$ethers = getEthers();
$values = array();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

	if (isset($_POST['mac']) && isset($_POST['name']) &&
			isset($_POST['rxspeed']) && isset($_POST['txspeed'])) {
		$post_counter = sizeof($_POST['mac']);
		$ethers = array('mac' => $_POST['mac'],
			'name' => $_POST['name'],
			'rxspeed' => $_POST['rxspeed'],
			'txspeed' => $_POST['txspeed']);
		setEthers(array_key_swap($ethers));
		$cfg_changed = 1;
	}

	// only save configuration when config has changed AND the Add button
	// is not pressed
	if (isset($_POST['addrow'])) {
		// only increase when last element of $_POST['mac'] is set
		if (isset($_POST['mac']) &&
			$_POST['mac'][sizeof($_POST['mac'])-1]) {
			$post_counter++;
		}
	} else if (isset($_POST['delrow'])) {
		$delrow = key($_POST['delrow']);
		debug_msg(2, 'Removed row ' . $delrow);
		unset($_POST['mac'][$delrow]);
		unset($_POST['name'][$delrow]);
		unset($_POST['rxspeed'][$delrow]);
		unset($_POST['txspeed'][$delrow]);
		//unset($ethers[$delrow]);
	} else {
		if (isset($cfg_changed) && $cfg_changed == 1) {
			if (writeconfig()) {
				domchild(3, 'h2', '', 'Changes saved');
				// reread values from config file
				$ethers = getEthers();
				pmacct_create_config(3);
			} else {
				error_msg('Cannot save changes');
			}
		} else {
			domchild(3, 'h2', '', 'Nothing changed');
		}
	}

} else {
	$values = $ethers;
}

$ether_counter = sizeof($values);
debug_msg(2, 'ether_counter=' . $ether_counter);

if ($ether_counter > $post_counter) {
	$counter = $ether_counter;
} else {
	$counter = $post_counter;
}

for ($i=0; $i<$counter; $i++) {

	if (isset($_POST['mac'][$i])) {
		$values[$i]['mac'] = $_POST['mac'][$i];
	} else {
		if (isset($_POST['addrow'])) {
			$values[$i]['mac'] = '';
		}
	}
	if (isset($_POST['name'][$i])) {
		$values[$i]['name'] = $_POST['name'][$i];
	} else {
		if (isset($_POST['addrow'])) {
			$values[$i]['name'] = '';
		}
	}
	if (isset($_POST['rxspeed'][$i])) {
		$values[$i]['rxspeed'] = $_POST['rxspeed'][$i];
	} else {
		if (isset($_POST['addrow'])) {
			$values[$i]['rxspeed'] = '100000000';
		}
	}
	if (isset($_POST['txspeed'][$i])) {
		$values[$i]['txspeed'] = $_POST['txspeed'][$i];
	} else {
		if (isset($_POST['addrow'])) {
			$values[$i]['txspeed'] = '100000000';
		}
	}

}

form1(3, array('MAC address', 'Name', 'Incoming bandwidth',
	       'Outgoing bandwidth'), $values);

?>
