<?php
/*
 * Copyright (C) 2009-2012 Oliver Seufer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

$post_counter = 1;
$networks = getNetworks();
$values = array();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

	if (array_key_exists('net', $_POST) &&
			array_key_exists('name', $_POST) &&
			array_key_exists('color', $_POST) &&
			array_key_exists('exclude', $_POST)) {
		$post_counter = sizeof($_POST['net']);
		$nets = array('net' => $_POST['net'], 'name' => $_POST['name'],
			      'color' => $_POST['color'],
			      'exclude' => $_POST['exclude']);
		setNetworks(array_key_swap($nets));
		$cfg_changed = 1;
	}

	// only save configuration when config has changed AND the Add button
	// is not pressed
	if (array_key_exists('addrow', $_POST)) {
		// only increase when last element of $_POST['net'] is set
		if (isset($_POST['net']) &&
			$_POST['net'][sizeof($_POST['net'])-1]) {
			$post_counter++;
		}
	} else if (isset($_POST['delrow'])) {
		$delrow = key($_POST['delrow']);
		debug_msg(2, 'Removed row ' . $delrow);
		unset($_POST['net'][$delrow]);
		unset($_POST['name'][$delrow]);
		unset($_POST['color'][$delrow]);
		unset($_POST['exclude'][$delrow]);
		//unset($networks[$delrow]);
	} else {
		if (isset($cfg_changed) && $cfg_changed == 1) {
			if (writeconfig()) {
				domchild(3, 'h2', '', 'Changes saved');
				// reread values from config file
				$networks = getNetworks();
				pmacct_create_networklist(3);
				pmacct_restart(3);
			} else {
				error_msg('Cannot save changes');
			}
		} else {
			domchild(3, 'h2', '', 'Nothing changed');
		}
	}

} else {
	$values = $networks;
}

$network_counter = sizeof($values);
debug_msg(2, 'network_counter=' . $network_counter);

if ($network_counter > $post_counter) {
	$counter = $network_counter;
} else {
	$counter = $post_counter;
}

for ($i=0; $i<$counter; $i++) {

	if (array_key_exists('net', $_POST)) {
		if (array_key_exists($i, $_POST['net'])) {
			$values[$i]['net'] = $_POST['net'][$i];
		} else {
			if (isset($_POST['addrow'])) {
				$values[$i]['net'] = '';
			}
		}
	}

	if (array_key_exists('name', $_POST)) {
		if (array_key_exists($i, $_POST['name'])) {
			$values[$i]['name'] = $_POST['name'][$i];
		} else {
			if (isset($_POST['addrow'])) {
				$values[$i]['name'] = '';
			}
		}
	}

	if (array_key_exists('color', $_POST)) {
		if (array_key_exists($i, $_POST['color'])) {
			$values[$i]['color'] = $_POST['color'][$i];
		} else {
			if (isset($_POST['addrow'])) {
				$values[$i]['color'] = '000000';
			}
		}
	} else if (array_key_exists($i, $values)) {
		// Set default value, when no value is set for this
		// array key
		if (!array_key_exists('color', $values[$i])) {
			$values[$i]['color'] = '000000';
		}
	}

	if (array_key_exists('exclude', $_POST)) {
		if (array_key_exists($i, $_POST['exclude'])) {
			$values[$i]['exclude'] =
				$_POST['exclude'][$i];
		} else {
			if (isset($_POST['addrow'])) {
				$values[$i]['exclude'] = '0';
			}
		}
	} else if (array_key_exists($i, $values)) {
		// Set default value, when no value is set for this
		// array key
		if (!array_key_exists('exclude', $values[$i])) {
			$values[$i]['exclude'] = '0';
		}
	}

}

form1(3, array('Network', 'Name', 'Color in HEX', 'Exclude from top traffic?'), $values);

?>
