<?php
/*
 * Copyright (C) 2009-2012 Oliver Seufer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

$post_counter = 1;
$ports = getPorts();
$values = array();

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

	if (isset($_POST['port']) && isset($_POST['name']) &&
			isset($_POST['color'])) {
		$post_counter = sizeof($_POST['port']);
		$ports = array('port' => $_POST['port'],
			'name' => $_POST['name'], 'color' => $_POST['color']);
		setPorts(array_key_swap($ports));
		$cfg_changed = 1;
	}

	// only save configuration when config has changed AND the Add button
	// is not pressed
	if (isset($_POST['addrow'])) {
		// only increase when last element of $_POST['port'] is set
		if (isset($_POST['port']) &&
			$_POST['port'][sizeof($_POST['port'])-1]) {
			$post_counter++;
		}
	} else if (isset($_POST['delrow'])) {
		$delrow = key($_POST['delrow']);
		debug_msg(2, 'Removed row ' . $delrow);
		unset($_POST['port'][$delrow]);
		unset($_POST['name'][$delrow]);
		unset($_POST['color'][$delrow]);
		//unset($ports[$delrow]);
	} else {
		if (isset($cfg_changed) && $cfg_changed == 1) {
			if (writeconfig()) {
				domchild(3, 'h2', '', 'Changes saved');
				// reread values from config file
				$ports = getPorts();
				pmacct_create_portlist(3);
				pmacct_restart(3);
			} else {
				error_msg('Cannot save changes');
			}
		} else {
			domchild(3, 'h2', '', 'Nothing changed');
		}
	}

} else {

	$values = $ports;

}

$port_counter = sizeof($values);

debug_msg(2, 'port_counter=' . $port_counter);

if ($port_counter > $post_counter) {
	$counter = $port_counter;
} else {
	$counter = $post_counter;
}

for ($i=0; $i<$counter; $i++) {

	if (isset($_POST['port'][$i])) {
		$values[$i]['port'] = $_POST['port'][$i];
	} else {
		if (isset($_POST['addrow'])) {
			$values[$i]['port'] = '';
		}
	}
	if (isset($_POST['name'][$i])) {
		$values[$i]['name'] = $_POST['name'][$i];
	} else {
		if (isset($_POST['addrow'])) {
			$values[$i]['name'] = '';
		}
	}
	if (isset($_POST['color'][$i])) {
		$values[$i]['color'] = $_POST['color'][$i];
	} else {
		if (isset($_POST['addrow'])) {
			$values[$i]['color'] = '000000';
		}
	}


}

form1(3, array('Port', 'Name', 'Color in HEX'), $values);

?>
