<?php
/*
 * Copyright (C) 2009-2012 Oliver Seufer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

	if (isset($_POST['interface']) && $_POST['interface']) {
		if (getInterface() != $_POST['interface']) {
			debug_msg(1, 'interface changed to: ' .
				  $_POST['interface']);
			setInterface($_POST['interface']);
			$cfg_changed = 1;
		}
	}

	if (isset($_POST['pmacct']) && $_POST['pmacct']) {
		if (getPmacctdBinary() != $_POST['pmacct']) {
			debug_msg(1, 'pmacct path changed to: ' .
				  $_POST['pmacct']);
			setPmacctdBinary($_POST['pmacct']);
			$cfg_changed = 1;
		}
	}

	if (isset($_POST['pmacctpipe']) && $_POST['pmacctpipe']) {
		if (getPmacctdPipeDir() != $_POST['pmacctpipe']) {
			debug_msg(1, 'pmacct pipe path changed to: ' .
				  $_POST['pmacctpipe']);
			setPmacctdPipeDir($_POST['pmacctpipe']);
			$cfg_changed = 1;
		}
	}

	if (isset($_POST['rrdtool']) && $_POST['rrdtool']) {
		if (getRrdtoolBinary() != $_POST['rrdtool']) {
			debug_msg(1, 'rrdtool path changed to: ' .
				  $_POST['rrdtool']);
			setRrdtoolBinary($_POST['rrdtool']);
			$cfg_changed = 1;
		}
	}

	if (isset($_POST['rrddb']) && $_POST['rrddb']) {
		if (getRrdtoolDbDir() != $_POST['rrddb']) {
			debug_msg(1, 'rrd database path changed to: ' .
				  $_POST['rrddb']);
			setRrdtoolDbDir($_POST['rrddb']);
			$cfg_changed = 1;
		}
	}

	if (isset($_POST['rrdgraph']) && $_POST['rrdgraph']) {
		if (getRrdtoolGraphDir() != $_POST['rrdgraph']) {
			debug_msg(1, 'rrd graph path changed to: ' .
				  $_POST['rrdgraph']);
			setRrdtoolGraphDir($_POST['rrdgraph']);
			$cfg_changed = 1;
		}
	}

	if (isset($_POST['toplimit']) && $_POST['toplimit']) {
		if (getTopLimit() != $_POST['toplimit']) {
			debug_msg(1, 'toplimit value changed to: ' .
				  $_POST['toplimit']);
			setTopLimit($_POST['toplimit']);
			$cfg_changed = 1;
		}
	}

	if (isset($cfg_changed) && $cfg_changed == 1) {
		if (writeconfig()) {
			domchild(3, 'h2', '', 'Changes saved');
			pmacct_create_config(3);
		} else {
			error_msg('Cannot save changes');
		}
	} else {
		domchild(3, 'h2', '', 'Nothing changed');
	}

}

domchild(3, 'form', array('action' => getSelf(), 'method' => 'post'), '');

domchild(4, 'table', array('border' => '0'), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Network interface:');

domchild(6, 'td', '', '');

domchild(7, 'input', array('type' => 'text', 'name' => 'interface',
	 'value' => _stripslashes(getInterface())), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', array('colspan' => '2', 'align' => 'center'), '');

domchild(7, 'h3', '', 'pmacct');

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Path of pmacct binary:');

domchild(6, 'td', '', '');

domchild(7, 'input', array('type' => 'text', 'name' => 'pmacct',
	 'value' => _stripslashes(getPmacctdBinary())), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Path for pmacct pipes:');

domchild(6, 'td', '', '');

domchild(7, 'input', array('type' => 'text', 'name' => 'pmacctpipe',
	 'value' => _stripslashes(getPmacctdPipeDir())), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', array('colspan' => '2', 'align' => 'center'), '');

domchild(7, 'h3', '', 'rrd');

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Path of rrdtool binary:');

domchild(6, 'td', '', '');

domchild(7, 'input', array('type' => 'text', 'name' => 'rrdtool',
	 'value' => _stripslashes(getRrdtoolBinary())), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Path for rrd databases:');

domchild(6, 'td', '', '');

domchild(7, 'input', array('type' => 'text', 'name' => 'rrddb',
	 'value' => _stripslashes(getRrdtoolDbDir())), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Path for rrd graphics:');

domchild(6, 'td', '', '');

domchild(7, 'input', array('type' => 'text', 'name' => 'rrdgraph',
	 'value' => _stripslashes(getRrdtoolGraphDir())), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', array('colspan' => '2', 'align' => 'center'), '');

domchild(7, 'h3', '', 'Top Traffic Settings');

domchild(5, 'tr', '', '');

domchild(6, 'td', '', 'Numbers of entries:');

domchild(6, 'td', '', '');

domchild(7, 'input', array('type' => 'text', 'name' => 'toplimit',
	 'value' => _stripslashes(getTopLimit())), '');

domchild(5, 'tr', '', '');

domchild(6, 'td', array('colspan' => '2', 'align' => 'center'), '');

domchild(7, 'input', array('type' => 'submit', 'value' => 'Submit'), '');


?>
