#!/usr/bin/php
<?php
/*
 * Copyright (C) 2009-2012 Oliver Seufer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

$dirname = dirname($_SERVER['SCRIPT_FILENAME']);
require_once($dirname . '/../htdocs/include/conf.inc.php');
require_once($dirname . '/../functions/functions.inc.php');

$cfg = array();

setCfgfile(getBasedir() . '/script/' . getCfgfile());

// Disable DEBUG messages
$DEBUG = 0;

// Initialization of dastralyse
initialization();

$date  = date("Ymd", strtotime("tomorrow"));

$table_base = 'acct_v5';
$table = $table_base . '_' . $date;

// Check if the template table exists
$query  = "select * from pg_tables where schemaname='public' ";
$query .= " and tablename='". $table_base . "'";

if (isset($query)) {
	debug_msg(2, '$query = ' . $query);
	$results = db_query($query);
}

if (isset($results) && is_array($results)) {
	// Query was successfull, now check if we have a result
	if ($results) {
		debug_msg(1, "found table '" . $table_base . "'");
		// Create the new table
		$query = "create table " . $table . " (LIKE ". $table_base . ")";
		debug_msg(2, '$query = ' . $query);
		$results = db_query($query);
		if (isset($results) && is_array($results)) {
			debug_msg(1, "created table '" . $table . "'");
		} else {
			error_msg("cannot create table '" . $table . "'");
		}
	} else {
		error_msg("cannot find table '" . $table_base . "'");
	}
} else {
	error_msg("cannot check if table '" . $table_yr . "' exists");
}

// Print debug messages
create_debug_console_msg($debug_msga);

// Print error messages
create_error_console_msg($error_msga);

?>
