#!/bin/bash

if [ -z "$1" ]; then
  echo "Usage: $0 sqlrows | mysql -u pmacct -p"
  exit 0
fi

echo "USE pmacct;"

for i in $(seq 1 $1)
do

  agent_id=0
  class_id=0

  # Private Mac
  mac_src='02'
  # Private Mac
  mac_dst='02'

  # 1-255
  RANGE=255

  for i in $(seq 1 5)
  do
    number=$RANDOM
    let "number %= $RANGE"
    mac_src="${mac_src}:$(printf "%02x\n" $number)"
  done

  for i in $(seq 1 5)
  do
    number=$RANDOM
    let "number %= $RANGE"
    mac_dst="${mac_dst}:$(printf "%02x\n" $number)"
  done

  number=$RANDOM
  let "number %= 1024"
  vlan="${number}"

  number=$RANDOM
  let "number %= 223"
  ip_src="${number}"

  for i in $(seq 1 3)
  do
    number=$RANDOM
    let "number %= $RANGE"
    ip_src="${ip_src}.${number}"
  done

  number=$RANDOM
  let "number %= 223"
  ip_dst="${number}"

  for i in $(seq 1 3)
  do
    number=$RANDOM
    let "number %= $RANGE"
    ip_dst="${ip_dst}.${number}"
  done

  RANGE=65535
  number=$RANDOM
  let "number %= $RANGE"
  src_port="${number}"

  RANGE=65535
  number=$RANDOM
  let "number %= $RANGE"
  dst_port="${number}"

  ip_proto="tcp"
  tos=0

  RANGE=65535
  number=$RANDOM
  let "number %= $RANGE"
  packets="${number}"

  bytes="$[packets*400]"

  flows=0

  table="acct_v5_$(date '+%Y%m%d')"

  stamp_inserted="$(date '+%Y-%m-%d %H:%M:00')"

  stamp_updated="${stamp_inserted}"

  SQL="INSERT INTO ${table} VALUES (${agent_id},${class_id},'${mac_src}'"
  SQL="${SQL},'${mac_dst}',${vlan},'${ip_src}','${ip_dst}',${src_port}"
  SQL="${SQL},'${dst_port}','${ip_proto}',${tos},${packets},${bytes}"
  SQL="${SQL},${flows},'${stamp_inserted}','${stamp_updated}');"

  echo ${SQL}

done
