#!/usr/bin/php
<?php
/*
 * Copyright (C) 2009-2012 Oliver Seufer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

$dirname = dirname($_SERVER['SCRIPT_FILENAME']);
require_once($dirname . '/../htdocs/include/conf.inc.php');
require_once($dirname . '/../functions/functions.inc.php');

$cfg = array();

setCfgfile(getBasedir() . '/script/' . getCfgfile());

// Disable DEBUG messages
$DEBUG = 0;

// Initialization of dastralyse
initialization();

if ($argc < 3) {
  print('Usage: ' . $argv[0] . ' [year] [month]' . "\n");
  exit(1);
}

$YEAR = $argv[1];
$MONTH = $argv[2];

for ($i = 1; $i <= 31; $i++) {
	$DAY = sprintf("%02d", $i);
	$DATE = $YEAR . $MONTH . $DAY;
	$query = 'DROP TABLE IF EXISTS acct_v5_' . $DATE;
	debug_msg(2, '$query = ' . $query);
	db_query($query);
}

print("Done\n");

// Print debug messages
create_debug_console_msg($debug_msga);

// Print error messages
create_error_console_msg($error_msga);

?>
