#!/usr/bin/php
<?php
/*
 * Copyright (C) 2009-2012 Oliver Seufer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

$dirname = dirname($_SERVER['SCRIPT_FILENAME']);
require_once($dirname . '/../htdocs/include/conf.inc.php');
require_once($dirname . '/../functions/functions.inc.php');

$cfg = array();

// We need to add /script/, because we are in the script directory
setCfgfile(getBasedir() . '/script/' . getCfgfile());

// Disable DEBUG messages
$DEBUG = 0;

// Initialization of dastralyse
initialization();

// Create rrdtool graph directory if it does not exist
mkdir_if_not_exist(getRrdtoolGraphDir());

// Generate all rrd graphics
rrdtool_generate_graphics();

// Print debug messages
create_debug_console_msg($debug_msga);

// Print error messages
create_error_console_msg($error_msga)

?>
